summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-09-08 18:33:06 -0500
committerAustin English <wizardedit@gentoo.org>2016-09-14 12:26:33 -0500
commitf2247046dc4f7e28ed8c6eea31c64b69097dff4e (patch)
tree738761c16388ea3bcd4d74455dd7433374860145 /games-board
parentgames-board/cgoban: remove deprecated games eclass (diff)
downloadgentoo-f2247046dc4f7e28ed8c6eea31c64b69097dff4e.tar.gz
gentoo-f2247046dc4f7e28ed8c6eea31c64b69097dff4e.tar.bz2
gentoo-f2247046dc4f7e28ed8c6eea31c64b69097dff4e.zip
games-board/cgoban2: remove deprecated games eclass
Also update to EAPI 6 Gentoo-Bug: https://bugs.gentoo.org/574082 Package-Manager: portage-2.3.0
Diffstat (limited to 'games-board')
-rw-r--r--games-board/cgoban2/cgoban2-2.6.12-r1.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/games-board/cgoban2/cgoban2-2.6.12-r1.ebuild b/games-board/cgoban2/cgoban2-2.6.12-r1.ebuild
new file mode 100644
index 00000000000..43b7caf25c9
--- /dev/null
+++ b/games-board/cgoban2/cgoban2-2.6.12-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="A Java client for the Kiseido Go Server, and a SGF editor"
+HOMEPAGE="http://www.gokgs.com/"
+SRC_URI="mirror://gentoo/cgoban-unix-${PV}.tar.bz2"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.3"
+
+S=${WORKDIR}/cgoban
+
+src_install() {
+ dodir /usr/bin
+ sed -e "s:INSTALL_DIR:/usr/share/${PN}:" \
+ "${FILESDIR}/${PN}" > "${D}/usr/bin/${PN}" || die
+ insinto /usr/share/${PN}
+ doins cgoban.jar
+}